Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateArrayOperator Class Reference
Template system » Template operators

Dynamic creation of arrays using operator "array". More...

## Public Member Functions
| __construct ( $arrayName='array', $hashName='hash', $arrayPrependName='array_prepend', $prependName='prepend', $arrayAppendName='array_append', $appendName='append', $arrayMergeName='array_merge', $mergeName='merge', $containsName='contains', $compareName='compare', $extractName='extract', $extractLeftName='extract_left', $extractRightName='extract_right', $beginsWithName='begins_with', $endsWithName='ends_with', $implodeName='implode', $explodeName='explode', $repeatName='repeat', $reverseName='reverse', $insertName='insert', $removeName='remove', $replaceName='replace', $uniqueName='unique', $arraySumName='array_sum')
| operatorList ()
| operatorTemplateHints ()
| arrayTrans ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| compareTrans ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| extractTrans ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| mergeTrans ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| namedParameterPerOperator ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators
| $ArrayName
| $HashName
| $ArrayPrependName
| $PrependName
| $ArrayAppendName
| $AppendName
| $ArrayMergeName
| $MergeName
| $ContainsName
| $CompareName
| $ExtractName
| $ExtractLeftName
| $ExtractRightName
| $BeginsWithName
| $EndsWithName
| $ImplodeName
| $ExplodeName
| $RepeatName
| $ReverseName
| $InsertName
| $RemoveName
| $ReplaceName
| $UniqueName
| $ArraySumName

## Detailed Description

Dynamic creation of arrays using operator "array".

Creates an operator which can create arrays dynamically by adding all operator parameters as array elements.

// Example template code
{array(1,"test")}
{array(array(1,2),3)}

Definition at line 27 of file eztemplatearrayoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateArrayOperator::__construct | ( |  | $arrayName = `'array'`,
|  |  | $hashName = `'hash'`,
|  |  | $arrayPrependName = `'array_prepend'`,
|  |  | $prependName = `'prepend'`,
|  |  | $arrayAppendName = `'array_append'`,
|  |  | $appendName = `'append'`,
|  |  | $arrayMergeName = `'array_merge'`,
|  |  | $mergeName = `'merge'`,
|  |  | $containsName = `'contains'`,
|  |  | $compareName = `'compare'`,
|  |  | $extractName = `'extract'`,
|  |  | $extractLeftName = `'extract_left'`,
|  |  | $extractRightName = `'extract_right'`,
|  |  | $beginsWithName = `'begins_with'`,
|  |  | $endsWithName = `'ends_with'`,
|  |  | $implodeName = `'implode'`,
|  |  | $explodeName = `'explode'`,
|  |  | $repeatName = `'repeat'`,
|  |  | $reverseName = `'reverse'`,
|  |  | $insertName = `'insert'`,
|  |  | $removeName = `'remove'`,
|  |  | $replaceName = `'replace'`,
|  |  | $uniqueName = `'unique'`,
|  |  | $arraySumName = `'array_sum'`
| ) |  |

Definition at line 29 of file eztemplatearrayoperator.php.

## Member Function Documentation

## ◆ arrayTrans()

eZTemplateArrayOperator::arrayTrans | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 279 of file eztemplatearrayoperator.php.

References eZTemplateNodeTool\createArrayElement(), eZTemplateNodeTool\createBooleanElement(), eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createDynamicArrayElement(), eZTemplateNodeTool\createNumericElement(), eZTemplateNodeTool\createStringElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ compareTrans()

eZTemplateArrayOperator::compareTrans | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 1028 of file eztemplatearrayoperator.php.

References eZTemplateNodeTool\createBooleanElement(), eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ extractTrans()

eZTemplateArrayOperator::extractTrans | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 1219 of file eztemplatearrayoperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createConstantElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ mergeTrans()

eZTemplateArrayOperator::mergeTrans | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 1322 of file eztemplatearrayoperator.php.

References eZTemplateNodeTool\createArrayElement(), eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createStringElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ modify()

eZTemplateArrayOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 1560 of file eztemplatearrayoperator.php.

## ◆ namedParameterList()

eZTemplateArrayOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 1502 of file eztemplatearrayoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateArrayOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 1495 of file eztemplatearrayoperator.php.

## ◆ operatorList()

eZTemplateArrayOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 108 of file eztemplatearrayoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateArrayOperator::operatorTemplateHints | ( |  | ) |

Definition at line 113 of file eztemplatearrayoperator.php.

## Member Data Documentation

## ◆ $AppendName

eZTemplateArrayOperator::$AppendName

Definition at line 2107 of file eztemplatearrayoperator.php.

## ◆ $ArrayAppendName

eZTemplateArrayOperator::$ArrayAppendName

Definition at line 2106 of file eztemplatearrayoperator.php.

## ◆ $ArrayMergeName

eZTemplateArrayOperator::$ArrayMergeName

Definition at line 2108 of file eztemplatearrayoperator.php.

## ◆ $ArrayName

eZTemplateArrayOperator::$ArrayName

Definition at line 2102 of file eztemplatearrayoperator.php.

## ◆ $ArrayPrependName

eZTemplateArrayOperator::$ArrayPrependName

Definition at line 2104 of file eztemplatearrayoperator.php.

## ◆ $ArraySumName

eZTemplateArrayOperator::$ArraySumName

Definition at line 2125 of file eztemplatearrayoperator.php.

## ◆ $BeginsWithName

eZTemplateArrayOperator::$BeginsWithName

Definition at line 2115 of file eztemplatearrayoperator.php.

## ◆ $CompareName

eZTemplateArrayOperator::$CompareName

Definition at line 2111 of file eztemplatearrayoperator.php.

## ◆ $ContainsName

eZTemplateArrayOperator::$ContainsName

Definition at line 2110 of file eztemplatearrayoperator.php.

## ◆ $EndsWithName

eZTemplateArrayOperator::$EndsWithName

Definition at line 2116 of file eztemplatearrayoperator.php.

## ◆ $ExplodeName

eZTemplateArrayOperator::$ExplodeName

Definition at line 2118 of file eztemplatearrayoperator.php.

## ◆ $ExtractLeftName

eZTemplateArrayOperator::$ExtractLeftName

Definition at line 2113 of file eztemplatearrayoperator.php.

## ◆ $ExtractName

eZTemplateArrayOperator::$ExtractName

Definition at line 2112 of file eztemplatearrayoperator.php.

## ◆ $ExtractRightName

eZTemplateArrayOperator::$ExtractRightName

Definition at line 2114 of file eztemplatearrayoperator.php.

## ◆ $HashName

eZTemplateArrayOperator::$HashName

Definition at line 2103 of file eztemplatearrayoperator.php.

## ◆ $ImplodeName

eZTemplateArrayOperator::$ImplodeName

Definition at line 2117 of file eztemplatearrayoperator.php.

## ◆ $InsertName

eZTemplateArrayOperator::$InsertName

Definition at line 2121 of file eztemplatearrayoperator.php.

## ◆ $MergeName

eZTemplateArrayOperator::$MergeName

Definition at line 2109 of file eztemplatearrayoperator.php.

## ◆ $Operators

eZTemplateArrayOperator::$Operators

Definition at line 2101 of file eztemplatearrayoperator.php.

Referenced by operatorList().

## ◆ $PrependName

eZTemplateArrayOperator::$PrependName

Definition at line 2105 of file eztemplatearrayoperator.php.

## ◆ $RemoveName

eZTemplateArrayOperator::$RemoveName

Definition at line 2122 of file eztemplatearrayoperator.php.

## ◆ $RepeatName

eZTemplateArrayOperator::$RepeatName

Definition at line 2119 of file eztemplatearrayoperator.php.

## ◆ $ReplaceName

eZTemplateArrayOperator::$ReplaceName

Definition at line 2123 of file eztemplatearrayoperator.php.

## ◆ $ReverseName

eZTemplateArrayOperator::$ReverseName

Definition at line 2120 of file eztemplatearrayoperator.php.

## ◆ $UniqueName

eZTemplateArrayOperator::$UniqueName

Definition at line 2124 of file eztemplatearrayoperator.php.

The documentation for this class was generated from the following file:

- eztemplatearrayoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.